<?php
if(!defined("IN_MYBB"))
{
    die("You Cannot Access This File Directly. Please Make Sure IN_MYBB Is Defined.");
}

/*Hooks*/
$plugins->add_hook('member_do_register_end', 'wob_register');
$plugins->add_hook('newreply_do_newreply_end', 'insert_vorlage');
$plugins->add_hook('editpost_do_editpost_end', 'insert_vorlage');
$plugins->add_hook('editpost_end', 'editpost_end_vorlage');
$plugins->add_hook('newreply_end', 'newreply_end_vorlage');
$plugins->add_hook('member_register_end', 'member_register_end_vorlage');
$plugins->add_hook('member_do_register_end', 'insert_register_vorlage');
$plugins->add_hook('modcp_editprofile_end', 'modcp_editprofile_end_vorlage');
$plugins->add_hook('admin_user_users_add_commit', 'wob_register');
$plugins->add_hook('showthread_start', 'set_daily_pids');
$plugins->add_hook('showthread_runpost', 'show_pws');
$plugins->add_hook('groups_wob_include', 'groups_wob_include');
$plugins->add_hook('management_wob_include', 'management_wob_include');
$plugins->add_hook('management_wob_edit', 'management_wob_edit');
$plugins->add_hook('management_wob_add', 'management_wob_add');
$plugins->add_hook('users_wob_add', 'users_wob_add');
$plugins->add_hook('postbit_endpost', 'postbit_endpost_pws');
$plugins->add_hook('postbit_endpost', 'postbit_endpost_wob');
$plugins->add_hook('profile_fields_edit', 'profile_fields_edit_wob');
$plugins->add_hook('admin_user_users_edit_commit', 'admin_user_users_edit_commit_wob');



function wobsystem_info()
{
	global $lang;
	$lang->load('wobsystem');
	return array
	(
        
        "name"  => $lang->wobsystem_name,
        "description"=> $lang->wobsystem_desc,
		"website"        => "http://ft.asthelon.de",
        "author"        => "Celine Geneau",
        "authorsite"    => "http://ft.asthelon.de",
        "version"        => "1.0",
        "guid"             => "",
        "compatibility" => "18*"
    );
} 

function wobsystem_activate()
{
	global $db;
	
	/*Daten in PHP's ändern*/
	/*Pfad Deutsch-du*/
	$pfad[0]="../inc/languages/deutsch_du/admin/user_groups.lang.php";
	$s[0]='$l[\'username_style\'] = ';
	$r[0]='$l[\'display_wobgroup\'] = "Gruppe in WOB-System anzeigen";
$l[\'display_wobgroup_no\'] = "Nein";
$l[\'display_wobgroup_yes\'] = "Ja";

$l[\'username_style\'] = ';
	
	/*Pfad Deutsch-sie*/	
	$pfad[1]="../inc/languages/deutsch_sie/admin/user_groups.lang.php";
	$s[1]='$l[\'username_style\'] = ';
	$r[1]='$l[\'display_wobgroup\'] = "Gruppe in WOB-System anzeigen";
$l[\'display_wobgroup_no\'] = "Nein";
$l[\'display_wobgroup_yes\'] = "Ja";

$l[\'username_style\'] = ';
	
	/*Pfad english*/
	$pfad[2]="../inc/languages/english/admin/user_groups.lang.php";
	$s[2]='$l[\'username_style\'] = ';
	$r[2]='$l[\'display_wobgroup\'] = "Show groop in WOB-System";
$l[\'display_wobgroup_no\'] = "No";
$l[\'display_wobgroup_yes\'] = "Yes";

$l[\'username_style\'] = ';

	/*Feld für WOB-System in ACP/Gruppen/Edit*/
	$pfad[3]="../admin/modules/user/groups.php";
	$s[3]='$form_container->output_row($lang->user_title, $lang->user_title_desc, $form->generate_text_box(\'usertitle\', $mybb->input[\'usertitle\'], array(\'id\' => \'usertitle\')), \'usertitle\');';
	$r[3]='$form_container->output_row($lang->user_title, $lang->user_title_desc, $form->generate_text_box(\'usertitle\', $mybb->input[\'usertitle\'], array(\'id\' => \'usertitle\')), \'usertitle\');
	
	$plugins->run_hooks("groups_wob_include");';
	
	/*Datenbankeintragung für WOB-System in ACP/Gruppen/Edit*/
	$pfad[4]="../admin/modules/user/groups.php";
	$s[4]='"usertitle" => $db->escape_string($mybb->input[\'usertitle\']),';
	$r[4]='"usertitle" => $db->escape_string($mybb->input[\'usertitle\']),
				"wobgroup" => $db->escape_string($mybb->input[\'wobgroup\']),';
				
	
	/*Forum deklarieren*/
	$pfad[5]="../admin/modules/forum/management.php";
	$s[5]='$form_container->output_row($lang->display_order, "", $form->generate_numeric_field(\'disporder\', $forum_data[\'disporder\'], array(\'id\' => \'disporder\', \'min\' => 0)), \'disporder\');';
	$r[5]='$form_container->output_row($lang->display_order, "", $form->generate_numeric_field(\'disporder\', $forum_data[\'disporder\'], array(\'id\' => \'disporder\', \'min\' => 0)), \'disporder\');
	
	$plugins->run_hooks("management_wob_include");';
	
	
	/*Forum deklarieren Datenbank*/
	$pfad[6]="../admin/modules/forum/management.php";
	$s[6]='if(!empty($mybb->input[\'linkto\']) && empty($forum_data[\'linkto\']))';
	$r[6]='$plugins->run_hooks("management_wob_edit");
	
	if(!empty($mybb->input[\'linkto\']) && empty($forum_data[\'linkto\']))';
	
	$pfad[7]="../admin/modules/forum/management.php";
	$s[7]='$fid = $db->insert_query("forums", $insert_array);';
	$r[7]='$fid = $db->insert_query("forums", $insert_array);
			
			$plugins->run_hooks("management_wob_add");';
	
	$pfad[8]="../admin/modules/forum/management.php";
	$s[8]='$update_array = array(';
	$r[8]='$update_array = array(
				"wobspezial" => $db->escape_string($wobqueryjoin),';
				
	/*Pfad Deutsch-du*/
	$pfad[9]="../inc/languages/deutsch_du/admin/forum_management.lang.php";
	$s[9]='$l[\'forum_type\'] =';
	$r[9]='$l[\'display_wobgroup\'] = "Spezialeigenschaft";
$l[\'display_wobgroup_m\'] = "m_";
$l[\'display_wobgroup_f\'] = "w_";
$l[\'display_wobgroup_rouls\'] = "Regeln";
$l[\'display_wobgroup_ready\'] = "Fertige Steckbriefe";
$l[\'display_wobgroup_unready\'] = "Unfertige Steckbriefe";
$l[\'display_wobgroup_nothing\'] = "Nichts";
$l[\'display_wobgroup_male\'] = "Männlich";
$l[\'display_wobgroup_female\'] = "Weiblich";

$l[\'forum_type\'] = ';
	
	/*Pfad Deutsch-sie*/	
	$pfad[10]="../inc/languages/deutsch_sie/admin/forum_management.lang.php";
	$s[10]='$l[\'forum_type\'] = ';
	$r[10]='$l[\'display_wobgroup\'] = "Spezialeigenschaft";
$l[\'display_wobgroup_m\'] = "m_";
$l[\'display_wobgroup_f\'] = "w_";
$l[\'display_wobgroup_rouls\'] = "Regeln";
$l[\'display_wobgroup_ready\'] = "Fertige Steckbriefe";
$l[\'display_wobgroup_unready\'] = "Unfertige Steckbriefe";
$l[\'display_wobgroup_nothing\'] = "Nichts";
$l[\'display_wobgroup_male\'] = "Männlich";
$l[\'display_wobgroup_female\'] = "Weiblich";

$l[\'forum_type\'] = ';
	
	/*Pfad english*/
	$pfad[11]="../inc/languages/english/admin/forum_management.lang.php";
	$s[11]='$l[\'forum_type\'] = ';
	$r[11]='$l[\'display_wobgroup\'] = "Spezial";
$l[\'display_wobgroup_m\'] = "m_";
$l[\'display_wobgroup_f\'] = "f_";
$l[\'display_wobgroup_rouls\'] = "Rouls";
$l[\'display_wobgroup_ready\'] = "ready applications";
$l[\'display_wobgroup_unready\'] = "unready applications";
$l[\'display_wobgroup_nothing\'] = "Nothing";
$l[\'display_wobgroup_male\'] = "Male";
$l[\'display_wobgroup_female\'] = "Female";

$l[\'forum_type\'] = ';
				
	/*Pfad Deutsch-du*/
	$pfad[12]="../inc/languages/deutsch_du/newreply.lang.php";
	$s[12]='$l[\'post_reply_to\'] =';
	$r[12]='$l[\'vorlage\'] = "Post als Vorlage deklarieren";
$l[\'vorlagewahl\'] = "Vorlage: ";
$l[\'vorlagetext\'] = "Soll dieser Post als Vorlage für das Startthema nach der Registrierung dienen?";

$l[\'post_reply_to\'] =';
	
	/*Pfad Deutsch-sie*/	
	$pfad[13]="../inc/languages/deutsch_sie/newreply.lang.php";
	$s[13]='$l[\'post_reply_to\'] =';
	$r[13]='$l[\'vorlage\'] = "Post als Vorlage deklarieren";
$l[\'vorlagewahl\'] = "Vorlage: ";
$l[\'vorlagetext\'] = "Soll dieser Post als Vorlage für das Startthema nach der Registrierung dienen?";

$l[\'post_reply_to\'] =';
	
	/*Pfad english*/
	$pfad[14]="../inc/languages/english/newreply.lang.php";
	$s[14]='$l[\'post_reply_to\'] =';
	$r[14]='$l[\'vorlage\'] = "Set post as template";
$l[\'vorlagewahl\'] = "Template: ";
$l[\'vorlagetext\'] = "Should this post serve as a template for the startup topic after registration?";

$l[\'post_reply_to\'] =';
				
	/*Pfad Deutsch-du*/
	$pfad[15]="../inc/languages/deutsch_du/editpost.lang.php";
	$s[15]='$l[\'post_reply_to\'] =';
	$r[15]='$l[\'vorlage\'] = "Post als Vorlage deklarieren";
$l[\'vorlagewahl\'] = "Vorlage: ";
$l[\'vorlagetext\'] = "Soll dieser Post als Vorlage für das Startthema nach der Registrierung dienen?";

$l[\'post_reply_to\'] =';
	
	/*Pfad Deutsch-sie*/	
	$pfad[16]="../inc/languages/deutsch_sie/editpost.lang.php";
	$s[16]='$l[\'post_reply_to\'] =';
	$r[16]='$l[\'vorlage\'] = "Post als Vorlage deklarieren";
$l[\'vorlagewahl\'] = "Vorlage: ";
$l[\'vorlagetext\'] = "Soll dieser Post als Vorlage für das Startthema nach der Registrierung dienen?";

$l[\'post_reply_to\'] =';
	
	/*Pfad english*/
	$pfad[17]="../inc/languages/english/editpost.lang.php";
	$s[17]='$l[\'post_reply_to\'] =';
	$r[17]='$l[\'vorlage\'] = "Set post as template";
$l[\'vorlagewahl\'] = "Template: ";
$l[\'vorlagetext\'] = "Should this post serve as a template for the startup topic after registration?";

$l[\'post_reply_to\'] =';
				
	/*Pfad Deutsch-du*/
	$pfad[18]="../inc/languages/deutsch_du/modcp.lang.php";
	$s[18]='$l[\'modcp\'] =';
	$r[18]='$l[\'vorlagegruppe\'] = "Hauptgruppe für Vorlagen";
$l[\'vorlagegruppe_main\'] = "Standardgruppe";

$l[\'modcp\'] =';
	
	/*Pfad Deutsch-sie*/	
	$pfad[19]="../inc/languages/deutsch_sie/modcp.lang.php";
	$s[19]='$l[\'modcp\'] =';
	$r[19]='$l[\'vorlagegruppe\'] = "Hauptgruppe für Vorlagen";
$l[\'vorlagegruppe_main\'] = "Standardgruppe";

$l[\'modcp\'] =';
	
	/*Pfad english*/
	$pfad[20]="../inc/languages/english/modcp.lang.php";
	$s[20]='$l[\'modcp\'] =';
	$r[20]='$l[\'vorlagegruppe\'] = "Group for Template";
$l[\'vorlagegruppe_main\'] = "Defaultgroup";

$l[\'modcp\'] =';
				
	/*Pfad Deutsch-du*/
	$pfad[21]="../inc/languages/deutsch_du/member.lang.php";
	$s[21]='$l[\'tpp_option\'] =';
	$r[21]='$l[\'vorlagegruppe\'] = "Hauptgruppe für Vorlagen";
$l[\'vorlagegruppe_main\'] = "Standardgruppe";

$l[\'tpp_option\'] =';
	
	/*Pfad Deutsch-sie*/	
	$pfad[22]="../inc/languages/deutsch_sie/member.lang.php";
	$s[22]='$l[\'tpp_option\'] =';
	$r[22]='$l[\'vorlagegruppe\'] = "Hauptgruppe für Vorlagen";
$l[\'vorlagegruppe_main\'] = "Standardgruppe";

$l[\'tpp_option\'] =';
	
	/*Pfad english*/
	$pfad[23]="../inc/languages/english/member.lang.php";
	$s[23]='$l[\'tpp_option\'] =';
	$r[23]='$l[\'vorlagegruppe\'] = "Group for Template";
$l[\'vorlagegruppe_main\'] = "Defaultgroup";

$l[\'tpp_option\'] =';
				
	/*Pfad Deutsch-du*/
	$pfad[24]="../inc/languages/deutsch_du/admin/user_users.lang.php";
	$s[24]='$l[\'users\'] =';
	$r[24]='$l[\'display_vorlagegruppe\'] = "Hauptgruppe für Vorlagen";
$l[\'vorlagegruppe_main\'] = "Standardgruppe";

$l[\'users\'] =';
	
	/*Pfad Deutsch-sie*/	
	$pfad[25]="../inc/languages/deutsch_sie/admin/user_users.lang.php";
	$s[25]='$l[\'users\'] =';
	$r[25]='$l[\'display_vorlagegruppe\'] = "Hauptgruppe für Vorlagen";
$l[\'vorlagegruppe_main\'] = "Standardgruppe";

$l[\'users\'] =';
	
	/*Pfad english*/
	$pfad[26]="../inc/languages/english/admin/user_users.lang.php";
	$s[26]='$l[\'users\'] =';
	$r[26]='$l[\'display_vorlagegruppe\'] = "Group for Template";
$l[\'vorlagegruppe_main\'] = "Defaultgroup";

$l[\'users\'] =';
	
	/*Feld für WOB-System in ACP/Users/Edit*/
	$pfad[27]="../admin/modules/user/users.php";
	$s[27]='$form_container->output_row($lang->email_address." <em>*</em>", "", $form->generate_text_box(\'email\', $mybb->input[\'email\'], array(\'id\' => \'email\')), \'email\');';
	$r[27]='$form_container->output_row($lang->email_address." <em>*</em>", "", $form->generate_text_box(\'email\', $mybb->input[\'email\'], array(\'id\' => \'email\')), \'email\');
	
	$plugins->run_hooks("users_wob_add");';
	
	/*Feld für WOB-System in ACP/Users/Edit*/
	$pfad[28]="../admin/modules/user/users.php";
	$s[28]='"uid" => $mybb->input[\'uid\'],';
	$r[28]='"uid" => $mybb->input[\'uid\'],
			"vorlagegruppe" => $mybb->input[\'vorlagegruppe\'],';
			
	/*Passwörter einfügen*/
	$pfad[29]="../showthread.php";
	$s[29]='while($post = $db->fetch_array($query))
		{';
	$r[29]='while($post = $db->fetch_array($query))
		{
			$plugins->run_hooks("showthread_runpost");';
			
	/*Passwortabfrage*/
	$pfad[30]="../inc/functions_post.php";
	$s[30]='$GLOBALS[\'post\'] = "";';
	$r[30]='$postbit.=$plugins->run_hooks("postbit_endpost");
	$GLOBALS[\'post\'] = "";';
				
	/*Pfad Deutsch-du*/
	$pfad[31]="../inc/languages/deutsch_du/showthread.lang.php";
	$s[31]='$l[\'delete_poll\'] =';
	$r[31]='$l[\'title_pwone\'] = "Passwort 1:";
$l[\'title_pwtwo\'] = "Passwort 2:";
$l[\'title_pwthree\'] = "Passwort 3:";
$l[\'title_button_ready\'] = "Fertigstellen";
$l[\'title_button_wob\'] = "WOB";
$l[\'title_button_einteilen\'] = "Einteilen";
$l[\'title_getted_wob\'] = "WOB bereits vergeben";
$l[\'title_wobs\'] = "Bisherige WOB\'s";

$l[\'delete_poll\'] =';
	
	/*Pfad Deutsch-sie*/	
	$pfad[32]="../inc/languages/deutsch_sie/showthread.lang.php";
	$s[32]='$l[\'delete_poll\'] =';
	$r[32]='$l[\'title_pwone\'] = "Passwort 1:";
$l[\'title_pwtwo\'] = "Passwort 2:";
$l[\'title_pwthree\'] = "Passwort 3:";
$l[\'title_button_ready\'] = "Fertigstellen";
$l[\'title_button_wob\'] = "WOB";
$l[\'title_button_einteilen\'] = "Einteilen";
$l[\'title_getted_wob\'] = "WOB bereits vergeben";
$l[\'title_wobs\'] = "Bisherige WOB\'s";

$l[\'delete_poll\'] =';
	
	/*Pfad english*/
	$pfad[33]="../inc/languages/english/showthread.lang.php";
	$s[33]='$l[\'delete_poll\'] =';
	$r[33]='$l[\'title_pwone\'] = "Password 1:";
$l[\'title_pwtwo\'] = "Password 2:";
$l[\'title_pwthree\'] = "Password 3:";
$l[\'title_button_ready\'] = "Ready";
$l[\'title_button_wob\'] = "WOB";
$l[\'title_button_einteilen\'] = "Graduate";
$l[\'title_getted_wob\'] = "WOB allready givin";
$l[\'title_wobs\'] = "aktual WOB\'s";

$l[\'delete_poll\'] =';
	
	/*Geschlechtsfeld bestimmen*/
	$pfad[34]="../admin/modules/config/profile_fields.php";
	$s[34]='$form_container->output_row($lang->min_posts_enabled, $lang->min_posts_enabled_desc, $form->generate_numeric_field(\'postnum\', $mybb->input[\'postnum\'], array(\'id\' => \'postnum\', \'min\' => 0)), \'postnum\');';
	$r[34]='$plugins->run_hooks("profile_fields_edit");
	$form_container->output_row($lang->min_posts_enabled, $lang->min_posts_enabled_desc, $form->generate_numeric_field(\'postnum\', $mybb->input[\'postnum\'], array(\'id\' => \'postnum\', \'min\' => 0)), \'postnum\');';

	$pfad[35]="../admin/modules/config/profile_fields.php";
	$s[35]='"allowvideocode" => $mybb->get_input(\'allowvideocode\', MyBB::INPUT_INT)';
	$r[35]='"wob" => $db->escape_string($mybb->input[\'wob\']),
				"allowvideocode" => $mybb->get_input(\'allowvideocode\', MyBB::INPUT_INT)';
				
	/*Pfad Deutsch-du*/
	$pfad[36]="../inc/languages/deutsch_du/admin/config_profile_fields.lang.php";
	$s[36]='$l[\'title\'] =';
	$r[36]='$l[\'display_wobgroup_no\'] = "Nein";
$l[\'display_wobgroup_yes\'] = "Ja";
$l[\'display_wobgroup\'] = "Geschlechts-Feld für WOB-System";

$l[\'title\'] =';
	
	/*Pfad Deutsch-sie*/
	$pfad[37]="../inc/languages/deutsch_sie/admin/config_profile_fields.lang.php";
	$s[37]='$l[\'title\'] =';
	$r[37]='$l[\'display_wobgroup_no\'] = "Nein";
$l[\'display_wobgroup_yes\'] = "Ja";
$l[\'display_wobgroup\'] = "Geschlechts-Feld für WOB-System";

$l[\'title\'] =';
	
	/*Pfad english*/
	$pfad[38]="../inc/languages/english/admin/config_profile_fields.lang.php";
	$s[38]='$l[\'title\'] =';
	$r[38]='$l[\'display_wobgroup_no\'] = "No";
$l[\'display_wobgroup_yes\'] = "Yes";
$l[\'display_wobgroup\'] = "Gender-Field for Woby-System";

$l[\'title\'] =';
				
	/*Pfad Deutsch-du*/
	$pfad[39]="../inc/languages/deutsch_du/editpost.lang.php";
	$s[39]='$l[\'redirect_nodelete\'] =';
	$r[39]='$l[\'vorlage\'] = "Steckbriefvorlagen";
$l[\'vorlagewahl\'] = "Steckbrief:";
$l[\'vorlagetext\'] = "Vorlage für das Wobsystem auswählen";

$l[\'redirect_nodelete\'] =';
	
	/*Pfad Deutsch-sie*/
	$pfad[40]="../inc/languages/deutsch_sie/editpost.lang.php";
	$s[40]='$l[\'redirect_nodelete\'] =';
	$r[40]='$l[\'vorlage\'] = "Steckbriefvorlagen";
$l[\'vorlagewahl\'] = "Steckbrief:";
$l[\'vorlagetext\'] = "Vorlage für das Wobsystem auswählen";

$l[\'redirect_nodelete\'] =';
	
	/*Pfad english*/
	$pfad[41]="../inc/languages/english/editpost.lang.php";
	$s[41]='$l[\'redirect_nodelete\'] =';
	$r[41]='$l[\'vorlage\'] = "Template for Application";
$l[\'vorlagewahl\'] = "Application:";
$l[\'vorlagetext\'] = "choose Template for Wobsystem";

$l[\'redirect_nodelete\'] =';
	
	
	$i=0;
	$max=count($pfad);
	while($i<$max)
	{
		$datei=$pfad[$i];
		$search=$s[$i];
		$replace=$r[$i];
		
		$inhalt = file_get_contents($datei);
		$inhalt = str_replace($search,$replace,$inhalt);
	
		file_put_contents($datei,$inhalt);
		$i++;
	}
	
	/*Post-Vorlage einfügen*/
	$template[0] = '<br />
			<table border="0" cellspacing="{$theme[\'borderwidth\']}" cellpadding="{$theme[\'tablespace\']}" class="tborder">
<tr>
	<td class="thead" colspan="3"><strong>{$lang->vorlage}</strong></td>
</tr>
<tr>
	<td class="tcat smalltext" colspan="3"><label><input type="checkbox" class="checkbox" name="vorlage" value="1" tabindex="0"{$sel_vorlage[1]}{$dis_vorlage[1]} /> <b>{$lang->vorlagewahl}</b> {$lang->vorlagetext}</label></td>
</tr>
</table>';

	$templatelname[0]='post_vorlage';
	
	/*Registerformular für Vorlage einfügen*/
	$template[1] = '<tr>
<td colspan="2"><span class="smalltext"><label for="username">{$lang->vorlagegruppe}</label></span></td>
</tr>
<tr>
<td colspan="2"><select name="vorlagegruppe">
		<option value="1" {$sel_vorlagegruppe[1]}>{$lang->vorlagegruppe_main}</option>
	</select></td>
</tr>';

	$templatelname[1]='member_register_vorlagegruppe';
	
	/*Passwortabfrage in Postbit*/
	$template[2] = '<div class="tfoot">
	<table width="100%">
		<tr>
			<td width="25%" align="center">
				$lang->title_pwone
			</td>
			<td width="25%" align="center">
				$lang->title_pwtwo
			</td>
			<td width="25%" align="center">
				$lang->title_pwthree
			</td>
			<td width="25%" align="center">
				 
			</td>
		</tr>
		<tr>
			<td width="25%" align="center">
				<input type="text" name="pwone" value="" class="text_input" id="pwone" />
			</td>
			<td width="25%" align="center">
				<input type="text" name="pwtwo" value="" class="text_input" id="pwtwo" />
			</td>
			<td width="25%" align="center">
				<input type="text" name="pwthree" value="" class="text_input" id="pwthree" />
			</td>
			<td width="25%" align="center">
				 <input name="pwbutton" id="pwbutton" type="submit" value="$lang->title_button_ready"/>
			</td>
		</tr>
	</table>
	<div name="pw_controll_div" id="pw_controll_div"></div>
	<input type="hidden" name="pwcontroll" id="pwcontroll" value="{$pwcontroll}" />
	{$pwinfos}
</div>
<script type="text/javascript">
<!--
	$(document).ready(function()
	{
		pwcontroll=$("#pwcontroll").val();
		if(pwcontroll==1)
		{
			$("#pwone").val($("#pwoneinfo").val());
			$("#pwtwo").val($("#pwtwoinfo").val());
			$("#pwthree").val($("#pwthreeinfo").val());
			
			controllpws(\'pwone\',$("#pwone").val());
			controllpws(\'pwtwo\',$("#pwtwo").val());
			controllpws(\'pwthree\',$("#pwthree").val());
		}
		else
		{
			$("#pwone, #pwtwo, #pwthree").css({\'background-color\' : "#FDFDFD"});
			$("#pwone, #pwtwo, #pwthree").prop(\'disabled\', false);
			$("#pwbutton").prop(\'disabled\', true);
		}
	});

	$("#pwone, #pwtwo, #pwthree").focusout(function leave()
	{
		id=$(this).attr(\'id\');
		value=$(this).val();
		
		controllpws(id,value);
	});
	
	$("#pwone, #pwtwo, #pwthree").focus(function enter()
	{
		id=$(this).attr(\'id\');
		fieldid="#"+id;
		color="#FDFDFD";
		$(fieldid).css({\'background-color\' : color});
	});
	
	$("#pwbutton").click(function clikingbut()
	{
		tid=$(\'[name="tid"]\').val();
		
		var url = \'./wobsystem.php?action=moove&tid=\'+tid;
		$(location).prop(\'href\', url);
	});
	
	function controllpws(id,value)
	{
		url=\'wobsystem.php?action=controll&pwid=\'+id+\'&pwval=\'+value;
		$.ajax(
		{
			url: url,
			method: \'get\',
			dataType: \'json\',
	        complete: function (request)
	        {
				$("#pw_controll_div").html(request.responseText);
	        	checkpws(id);
	        }
		});
	}
		
	function checkpws(id)
	{
		pwvalue=$("#pwcontrollstr").val();
		
		if(pwvalue=="false") 
		{
			color="#F10D0D";
			disabling=false;
		}
		else if(pwvalue=="true")
		{
			color="#2FD013";
			disabling=true;
		}
		fieldid="#"+id;
		$(fieldid).css({\'background-color\' : color});
		$(fieldid).prop(\'disabled\', disabling);
		
		checkforbutton();
	}
	
	function checkforbutton()
	{
		if($(\'#pwone\').prop("disabled")== true)
		{
			if($(\'#pwtwo\').prop("disabled")== true)
			{
				if($(\'#pwthree\').prop("disabled")== true)
				{
					$("#pwbutton").prop(\'disabled\', false);
				}
			}
		}
	}
	
// -->
</script>';

	$templatelname[2]='postbit_wobpws';
	
	/*Wobbutton First-WOB*/
	$template[3] = '<div class="tfoot">
	<center>$lang->title_wobs {$userinfo[\'wob\']}
	<br><input name="wobbutton" id="wobbutton" type="submit" value="$lang->title_button_wob"/>
	<input type="hidden" name="uid" id="uid" value="{$userinfo[\'uid\']}" /></center>
</div>
<script type="text/javascript">
<!--
	$("#wobbutton").click(function clikingbut()
	{
		uid=$("#uid").val();
		tid=$(\'[name="tid"]\').val();
		var url = \'./wobsystem.php?action=firstwob&uid=\'+uid+\'&tid=\'+tid;
		$(location).prop(\'href\', url);
	});
	
// -->
</script>';

	$templatelname[3]='postbit_wob_first';
	
	/*Wobbutton Einteilen*/
	$template[4] = '<div class="tfoot">
	<table width="100%">
		<tr>
			<td width="50%" align="center">
				{$lang->title_groupchoice}
			</td>
			<td width="25%" align="center">
				 
			</td>
		</tr>
		<tr>
			<td width="50%" align="center">
				<select id="groupchoice">
					{$groupchoice_options}
				</select> 
			</td>
			<td width="50%" align="center">
				 <input name="wobbutton" id="wobbutton" type="submit" value="{$lang->title_button_einteilen}"/>
			</td>
		</tr>
	</table>
	<input type="hidden" name="uid" id="uid" value="{$userinfo[\'uid\']}" /></center>
</div>
<script type="text/javascript">
<!--
	$("#wobbutton").click(function clikingbut()
	{
		uid=$("#uid").val();
		tid=$(\'[name="tid"]\').val();
		gid=$("#groupchoice").val();
		var url = \'./wobsystem.php?action=einteilen&uid=\'+uid+\'&tid=\'+tid+\'&gid=\'+gid;
		$(location).prop(\'href\', url);
	});
	
// -->
</script>';

	$templatelname[4]='postbit_wob_einteilung';
	
	$template[5] = '<div class="tfoot">
	<center>$lang->title_wobs {$userinfo[\'wob\']}
	<br>$lang->title_getted_wob</center>
</div>';

	$templatelname[5]='postbit_wob_vergeben';
	
	
	$i=0;
	$max=count($template);
	while($i<$max)
	{
		$insert_array = array(
			'title' => $templatelname[$i],
			'template' => $db->escape_string($template[$i]),
			'sid' => '-1',
			'version' => '',
			'dateline' => time()
		);
		
		$db->insert_query('templates', $insert_array);
		$i++;
	}
	
	require_once MYBB_ROOT."/inc/adminfunctions_templates.php";
	//Template editpost bearbeiten*/
	$tplname[0]='editpost';
	$searchpattern[0]='{$attachbox}';
	$myVar[0]='{$vorlage}';
	
	//Template newreply bearbeiten*/
	$tplname[1]='newreply';
	$searchpattern[1]='{$attachbox}';
	$myVar[1]='{$vorlage}';
	
	//Template member_register bearbeiten*/
	$tplname[2]='member_register';
	$searchpattern[2]='{$hiddencaptcha}';
	$myVar[2]='{$vorlage}';
	
	//Template modcp_editprofile bearbeiten*/
	$tplname[3]='modcp_editprofile';
	$searchpattern[3]='{$requiredfields}';
	$myVar[3]='{$vorlage}';
	
	$i=0;
	$max=count($tplname);
	while($i<$max)
	{
		find_replace_templatesets($tplname[$i],"#".preg_quote($searchpattern[$i])."#i",$searchpattern[$i].$myVar[$i]);
		$i++;
	}
	
	
	/*neue PHP-Dateien erzeugen*/
	$phpname[0]='../wobsystem.php';
	$phpinhalt[0]='<?php
define("IN_MYBB", 1);
require_once "./global.php";

$action = $mybb->get_input(\'action\');

// Load global language phrases
$lang->load("wobsystem");

if($action=="controll")
{
	$id = $mybb->get_input(\'pwid\');
	$val = $mybb->get_input(\'pwval\');
	$uid = $mybb->user[\'uid\'];
	
	if($id && $val && $uid)
	{
		$query = $db->simple_select("users", "uid, pwone, pwtwo, pwthree", "uid = \'$uid\'");
		$userinfo = $db->fetch_array($query);
		
		$password=$userinfo[$id];
		
		if($password==$val) $info="true";
		else $info="false";
	}
	else
	{
		$info="false";
	}
	
		
	$output=\'<input type="hidden" name="pwcontrollstr" id="pwcontrollstr" value="\'.$info.\'" />\';
	
	echo $output;
}

if($action=="moove")
{
	$uid = $mybb->user[\'uid\'];
	$tid = $mybb->get_input(\'tid\');
	
	/*User hat alle Passwörter korrekt, dies wird gespeichert, damit er dies nicht nochmal machen muss*/
	$update_user = array(
	"pwcontroll" => 1,
	);
	$db->update_query("users", $update_user, "uid=\'".$uid."\'");
	
	
	/*Auslesen des alten Threads und des ersten Postes*/
	$query = $db->simple_select("threads", "*", "tid = \'{$tid}\'");
	$thread = $db->fetch_array($query);
	
	$query = $db->simple_select("posts", "pid, message", "pid = \'{$thread[\'firstpost\']}\'");
	$postinfo = $db->fetch_array($query);
	
	
	/*Neuen Thread mit dem Steckbrief erstellen*/
	require_once MYBB_ROOT."inc/datahandlers/post.php";
	$posthandler = new PostDataHandler("insert");
	$posthandler->action = "thread";
	
	$new_thread = $thread;
	
	$query = $db->simple_select("forums", "fid", "wobspezial=2");
	$foruminfo = $db->fetch_array($query);
	
	$new_thread = array(
		"fid" => $foruminfo[\'fid\'],
		"ipaddress" => $session->packedip,
		"message" => $postinfo[\'message\'],
		"posthash" => md5($mybb->user[\'uid\'].random_str()),
		"uid" => $mybb->user[\'uid\'],
		"subject" => "Bewerbung: ".$mybb->user[\'username\'],
	);
	
	$modoptions[\'closethread\']=0;
	$modoptions[\'stickthread\']=0;
	
	$new_thread[\'modoptions\'] = $modoptions;
	
	$posthandler->set_data($new_thread);
	
	$valid_thread = $posthandler->validate_thread();
	
	$thread_info = $posthandler->insert_thread();
	$newtid = $thread_info[\'tid\'];
	
	/*Alten Thread löschen*/
	require_once MYBB_ROOT."inc/class_moderation.php";
	$moderation = new Moderation;
	$moderation->delete_thread($tid);
	
	$query = $db->query("
		SELECT u.uid
		FROM ".TABLE_PREFIX."users u
		LEFT JOIN ".TABLE_PREFIX."usergroups g ON (g.gid=u.usergroup)
		WHERE g.cancp=1
	");
	while($row=$db->fetch_array($query)) $teamies[]=$row[\'uid\'];
	
	switch($db->type)
	{
		case "pgsql":
		case "sqlite":
			$query = $db->query("
				SELECT u.uid
				FROM ".TABLE_PREFIX."users u
				LEFT JOIN ".TABLE_PREFIX."usergroups g ON (\',\'|| u.additionalgroups|| \',\' LIKE \'%,\'|| g.gid|| \',%\')
				WHERE g.cancp=1
			");
			break;
		default:
			$query = $db->query("
				SELECT u.uid
				FROM ".TABLE_PREFIX."users u
				LEFT JOIN ".TABLE_PREFIX."usergroups g ON (CONCAT(\',\', u.additionalgroups, \',\') LIKE CONCAT(\'%,\', g.gid, \',%\'))
				WHERE g.cancp=1
			");
	}
	while($row=$db->fetch_array($query)) $teamies[]=$row[\'uid\'];
	
	
	
	
	/*Zu fertigem Steckbrief weiterleiten*/
	$lang->load("member");
	$lang->redirect_newthread .= $lang->redirect_newthread_thread;
	$url = get_thread_link($newtid);
	
	/*Team per PN informaieren*/
	$teamies=array();
	
	$query = $db->simple_select("users", "uid,username", "uid = \'{$uid}\'");
	$userinfo = $db->fetch_array($query);
	
	$query = $db->query("
		SELECT u.uid, username
		FROM ".TABLE_PREFIX."users u
		LEFT JOIN ".TABLE_PREFIX."usergroups g ON (g.gid=u.usergroup)
		WHERE g.cancp=1
		AND u.uid<>1
		AND u.as_uid=0
	");
	while($row=$db->fetch_array($query)) $teamies[$row[\'uid\']]=$row[\'uid\'];
	
	switch($db->type)
	{
		case "pgsql":
		case "sqlite":
			$query = $db->query("
				SELECT u.uid, username
				FROM ".TABLE_PREFIX."users u
				LEFT JOIN ".TABLE_PREFIX."usergroups g ON (\',\'|| u.additionalgroups|| \',\' LIKE \'%,\'|| g.gid|| \',%\')
				WHERE g.cancp=1
				AND u.uid<>1
				AND u.as_uid=0
			");
			break;
		default:
			$query = $db->query("
				SELECT u.uid, username
				FROM ".TABLE_PREFIX."users u
				LEFT JOIN ".TABLE_PREFIX."usergroups g ON (CONCAT(\',\', u.additionalgroups, \',\') LIKE CONCAT(\'%,\', g.gid, \',%\'))
				WHERE g.cancp=1
				AND u.uid<>1
				AND u.as_uid=0
			");
	}
	while($row=$db->fetch_array($query)) $teamies[$row[\'uid\']]=$row[\'uid\'];
	
		require_once MYBB_ROOT."inc/datahandlers/pm.php";
		$pmhandler = new PMDataHandler();
		
		$message=$lang->pm_message;
		$message=str_replace(\'{$username}\',$userinfo[\'username\'],$message);
		$message=str_replace(\'{$url}\',$mybb->settings[\'bburl\'].\'/\'.$url,$message);
	
		$pm = array(
			"subject" => $userinfo[\'username\'].$lang->pm_subject,
			"message" => $message,
			"icon" => 1,
			"fromid" => $userinfo[\'uid\'],
			"do" => \'\',
			"pmid" => 0,
			"ipaddress" => $session->packedip,
			"toid" => $teamies,
			"saveasdraft" => 0
		);
		$pm[\'options\'][\'signature\'] = 1;
		$pm[\'options\'][\'disablesmilies\'] = 0;
		$pm[\'options\'][\'savecopy\'] = 0;
		$pm[\'options\'][\'readreceipt\'] = 0;
		
		
		$pmhandler->set_data($pm);
		
		if(!$pmhandler->validate_pm())
		{
			$pm_errors = $pmhandler->get_friendly_errors();
			$send_errors = inline_error($pm_errors);
			echo $send_errors;
		}
		else
		{
			echo "test2";
			$pminfo = $pmhandler->insert_pm();
		}
	
	
	redirect($url, $lang->redirect_newthread, "", $force_redirect);
}

if($action=="firstwob")
{
	$uid = $mybb->get_input(\'uid\');
	$tid = $mybb->get_input(\'tid\');
	
	$query = $db->simple_select("users", "wob,wobbed", "uid = \'{$uid}\'");
	$userinfo = $db->fetch_array($query);
	
	$wob=$userinfo[\'wob\'];
	$wob++;
	
	$wobbed=$userinfo[\'wobbed\'];
	$wobbed.=\',\'.$mybb->user[\'uid\'];
	
	$update_user = array(
	"wob" => $wob,
	"wobbed" => \',\'.$mybb->user[\'uid\'],
	);
	$db->update_query("users", $update_user, "uid=\'{$uid}\'");
	
	$lang->load("member");
	$lang->redirect_newthread .= $lang->redirect_newthread_thread;
	$url = get_thread_link($tid);
	redirect($url, $lang->redirect_newthread, "", $force_redirect);
}

if($action=="einteilen")
{
	$uid = $mybb->get_input(\'uid\');
	$tid = $mybb->get_input(\'tid\');
	$gid = $mybb->get_input(\'gid\');
	
	$query = $db->simple_select("users", "wob,wobbed", "uid = \'{$uid}\'");
	$userinfo = $db->fetch_array($query);
	
	$wob=$userinfo[\'wob\'];
	$wob++;
	
	$wobbed=$userinfo[\'wobbed\'];
	$wobbed.=\',\'.$mybb->user[\'uid\'];
	
	$update_user = array(
	"wob" => $wob,
	"usergroup" => $gid,
	"wobbed" => $wobbed,
	);
	$db->update_query("users", $update_user, "uid=\'{$uid}\'");
	
	/*Auslesen des alten Threads und des ersten Postes*/
	$query = $db->simple_select("threads", "*", "tid = \'{$tid}\'");
	$thread = $db->fetch_array($query);
	
	$query = $db->simple_select("posts", "pid, message", "pid = \'{$thread[\'firstpost\']}\'");
	$postinfo = $db->fetch_array($query);
	
	$query = $db->simple_select("profilefields", \'fid\', "wob=1");
	$fieldinfo = $db->fetch_array($query);
	
	$fieldname="fid".$fieldinfo[\'fid\'];
	
	$query = $db->simple_select("userfields", $fieldname, "ufid=".$uid);
	$gender = $db->fetch_array($query);
	
	$genderletter=$gender[$fieldname];
	
	if($genderletter[0]=="M" || $genderletter[0]=="m" ) $areafield=\'malearea\';
	else $areafield=\'femalearea\';
	
	$query = $db->simple_select("usergroups", $areafield, "gid=".$gid);
	$groupinfo = $db->fetch_array($query);
	
	$areafid=$groupinfo[$areafield];
	
	$query = $db->simple_select("users", \'username\', "uid=".$uid);
	$userinfo = $db->fetch_array($query);
	
	/*Area erstellen*/
	require_once "./admin/inc/functions.php";
	$insert_array = array(
		"name" => $lang->wobsystem_area.$db->escape_string($userinfo[\'username\']),
		"description" => \'\',
		"linkto" => \'\',
		"type" => \'f\',
		"pid" => $areafid,
		"parentlist" => \'\',
		"disporder" => 1,
		"active" => 1,
		"open" => 1,
		"allowhtml" => 0,
		"allowmycode" => 1,
		"allowsmilies" => 1,
		"allowimgcode" => 1,
		"allowvideocode" => 0,
		"allowpicons" => 1,
		"allowtratings" => 1,
		"usepostcounts" => 1,
		"usethreadcounts" => 1,
		"requireprefix" => 0,
		"password" => \'\',
		"showinjump" => 1,
		"style" => 0,
		"overridestyle" => 0,
		"rulestype" => 0,
		"rulestitle" => \'\',
		"rules" => \'\',
		"defaultdatecut" => 0,
		"defaultsortby" => \'\',
		"defaultsortorder" => \'\',
	);
	$fid = $db->insert_query("forums", $insert_array);
	
	$parentlist = make_parent_list($fid);
	$db->update_query("forums", array("parentlist" => $parentlist), "fid=\'$fid\'");
	
	$query = $db->simple_select("usergroups", \'gid\', "");
	while($groupinfo = $db->fetch_array($query)) $inherit[$groupinfo[\'gid\']]=1;
	
	save_quick_perms($fid);
	
	$cache->update_forums();
	
	$newfid=$fid;
	
	/*Neuen Thread mit dem Steckbrief erstellen*/
	require_once MYBB_ROOT."inc/datahandlers/post.php";
	$posthandler = new PostDataHandler("insert");
	$posthandler->action = "thread";
	
	$new_thread = $thread;
	
	$new_thread = array(
		"fid" => $newfid,
		"ipaddress" => $session->packedip,
		"message" => $postinfo[\'message\'],
		"posthash" => md5($userinfo[\'uid\'].random_str()),
		"uid" => $uid,
		"subject" => $userinfo[\'username\'],
	);
	
	$modoptions[\'closethread\']=0;
	$modoptions[\'stickthread\']=0;
	
	$new_thread[\'modoptions\'] = $modoptions;
	
	$posthandler->set_data($new_thread);
	
	$valid_thread = $posthandler->validate_thread();
	
	$thread_info = $posthandler->insert_thread();
	$newtid = $thread_info[\'tid\'];
	
	$plugins->run_hooks("wobsystem_end");
	
	/*Alten Thread löschen*/
	require_once MYBB_ROOT."inc/class_moderation.php";
	$moderation = new Moderation;
	$moderation->delete_thread($tid);
	
	$plugins->run_hooks("wobsystem_end");
	
	/*Zu fertigem Steckbrief weiterleiten*/
	$lang->load("member");
	$lang->redirect_newthread .= $lang->redirect_newthread_thread;
	$url = get_thread_link($newtid);
	redirect($url, $lang->redirect_newthread, "", $force_redirect);
}

?>';

	$phpname[1]='../inc/languages/deutsch_sie/wobsystem.lang.php';
	$phpinhalt[1]='<?php
/**
 * German language pack for MyBB 1.8 (informal)
 * Deutsches Sprachpaket für MyBB 1.8 "informell" (Du)
 * (c) 2005-2014 MyBBoard.de
 * 
 * Author/Autor: http://www.mybboard.de/
 * License/Lizenz: GNU Lesser General Public License, Version 3
 */
 
$l[\'pm_subject\'] = " hat den Steckbrief fertig";
$l[\'pm_message\'] = \'Sehr geehrtes Team,

{$username} hat seinen [url={$url}]Steckbrief[/url] fertiggestellt und wartet nun auf Korrektur.

MFG\';
$l[\'wobsystem_area\'] = "Userarea von ";';

	$phpname[2]='../inc/languages/deutsch_du/wobsystem.lang.php';
	$phpinhalt[2]='<?php
/**
 * German language pack for MyBB 1.8 (informal)
 * Deutsches Sprachpaket für MyBB 1.8 "informell" (Du)
 * (c) 2005-2014 MyBBoard.de
 * 
 * Author/Autor: http://www.mybboard.de/
 * License/Lizenz: GNU Lesser General Public License, Version 3
 */
 
$l[\'pm_subject\'] = " hat den Steckbrief fertig";
$l[\'pm_message\'] = \'Sehr geehrtes Team,

{$username} hat seinen [url={$url}]Steckbrief[/url] fertiggestellt und wartet nun auf Korrektur.

MFG\';
$l[\'wobsystem_area\'] = "Userarea von ";';

	$phpname[3]='../inc/languages/english/wobsystem.lang.php';
	$phpinhalt[3]='<?php
/**
 * German language pack for MyBB 1.8 (informal)
 * Deutsches Sprachpaket für MyBB 1.8 "informell" (Du)
 * (c) 2005-2014 MyBBoard.de
 * 
 * Author/Autor: http://www.mybboard.de/
 * License/Lizenz: GNU Lesser General Public License, Version 3
 */
 
$l[\'pm_subject\'] = " has completed the application";
$l[\'pm_message\'] = \'Very dear team,

{$username} has completed his [url={$url}]application[/url] and is now waiting for correction.

Kind regards\';
$l[\'wobsystem_area\'] = "Userarea of ";';

	$i=0;
	$max=count($phpname);
	while($i<$max)
	{
		$filename=$phpname[$i];
		$inhalt=$phpinhalt[$i];
		
		$handle = fopen ($mybb->settings['bburl'].$filename, 'a+');
		fwrite ($handle, $inhalt);
		fclose ($handle);
		$i++;
	}

}

function wobsystem_deactivate()
{
	global $db, $cache;
	
	
	$plugins_cache = $cache->read("plugins");
	if (isset($plugins_cache['active']['hp_wob']))
	{
		global $page, $lang;
		$lang->load('wobsystem');
		$page->output_confirm_action('index.php?module=config-plugins&action=deactivate&uninstall=1&plugin=hello', $lang->wobsystem_deactivate_HP_message, $lang->wobsystem_deactivate);
	}
	if (isset($plugins_cache['active']['ft_wob']))
	{
		global $page, $lang;
		$lang->load('wobsystem');
		$page->output_confirm_action('index.php?module=config-plugins&action=deactivate&uninstall=1&plugin=hello', $lang->wobsystem_deactivate_FT_message, $lang->wobsystem_deactivate);
	}
	
	/*Daten in PHP's ändern Rückgängig machen*/
	/*Pfad Deutsch-du*/
	$pfad[0]="../inc/languages/deutsch_du/admin/user_groups.lang.php";
	$s[0]='$l[\'display_wobgroup\'] = "Gruppe in WOB-System anzeigen";
$l[\'display_wobgroup_no\'] = "Nein";
$l[\'display_wobgroup_yes\'] = "Ja";

';
	$r[0]='';
	
	
	/*Pfad Deutsch-sie*/	
	$pfad[1]="../inc/languages/deutsch_sie/admin/user_groups.lang.php";
	$s[1]='$l[\'display_wobgroup\'] = "Gruppe in WOB-System anzeigen";
$l[\'display_wobgroup_no\'] = "Nein";
$l[\'display_wobgroup_yes\'] = "Ja";

';
	$r[1]='';
	
	/*Pfad english*/
	$pfad[2]="../inc/languages/english/admin/user_groups.lang.php";
	$s[2]='$l[\'display_wobgroup\'] = "Show groop in WOB-System";
$l[\'display_wobgroup_no\'] = "No";
$l[\'display_wobgroup_yes\'] = "Yes";

';
	$r[2]='';
	
	
	/*Feld für WOB-System in ACP/Gruppen/Edit*/
	$pfad[3]="../admin/modules/user/groups.php";
	$s[3]='
	
	$plugins->run_hooks("groups_wob_include");';
	$r[3]='';
	
	/*Datenbankeintragung für WOB-System in ACP/Gruppen/Edit*/
	$pfad[4]="../admin/modules/user/groups.php";
	$r[4]='"';
	$s[4]='"
				"wobgroup" => $db->escape_string($mybb->input[\'wobgroup\']),';
				
	
	/*Forum deklarieren*/
	$pfad[5]="../admin/modules/forum/management.php";
	$r[5]='';
	$s[5]='
	$plugins->run_hooks("management_wob_include");';
	
	/*Forum deklarieren Datenbank*/
	$pfad[6]="../admin/modules/forum/management.php";
	$r[6]='';
	$s[6]='$plugins->run_hooks("management_wob_edit");
	
	';
	
	$pfad[7]="../admin/modules/forum/management.php";
	$r[7]='';
	$s[7]='
			
			$plugins->run_hooks("management_wob_add");';
	
	$pfad[8]="../admin/modules/forum/management.php";
	$r[8]='';
	$s[8]='
				"wobspezial" => $db->escape_string($wobqueryjoin),';
				
	/*Pfad Deutsch-du*/
	$pfad[9]="../inc/languages/deutsch_du/admin/forum_management.lang.php";
	$r[9]='';
	$s[9]='$l[\'display_wobgroup\'] = "Spezialeigenschaft";
$l[\'display_wobgroup_m\'] = "m_";
$l[\'display_wobgroup_f\'] = "w_";
$l[\'display_wobgroup_rouls\'] = "Regeln";
$l[\'display_wobgroup_ready\'] = "Fertige Steckbriefe";
$l[\'display_wobgroup_unready\'] = "Unfertige Steckbriefe";
$l[\'display_wobgroup_nothing\'] = "Nichts";
$l[\'display_wobgroup_male\'] = "Männlich";
$l[\'display_wobgroup_female\'] = "Weiblich";

';
	
	/*Pfad Deutsch-sie*/	
	$pfad[10]="../inc/languages/deutsch_sie/admin/forum_management.lang.php";
	$r[10]='';
	$s[10]='$l[\'display_wobgroup\'] = "Spezialeigenschaft";
$l[\'display_wobgroup_m\'] = "m_";
$l[\'display_wobgroup_f\'] = "w_";
$l[\'display_wobgroup_rouls\'] = "Regeln";
$l[\'display_wobgroup_ready\'] = "Fertige Steckbriefe";
$l[\'display_wobgroup_unready\'] = "Unfertige Steckbriefe";
$l[\'display_wobgroup_nothing\'] = "Nichts";
$l[\'display_wobgroup_male\'] = "Männlich";
$l[\'display_wobgroup_female\'] = "Weiblich";

';
	
	/*Pfad english*/
	$pfad[11]="../inc/languages/english/admin/forum_management.lang.php";
	$r[11]='';
	$s[11]='$l[\'display_wobgroup\'] = "Spezial";
$l[\'display_wobgroup_m\'] = "m_";
$l[\'display_wobgroup_f\'] = "f_";
$l[\'display_wobgroup_rouls\'] = "Rouls";
$l[\'display_wobgroup_ready\'] = "ready applications";
$l[\'display_wobgroup_unready\'] = "unready applications";
$l[\'display_wobgroup_nothing\'] = "Nothin";
$l[\'display_wobgroup_male\'] = "Male";
$l[\'display_wobgroup_female\'] = "Female";

';
				
	/*Pfad Deutsch-du*/
	$pfad[12]="../inc/languages/deutsch_du/newreply.lang.php";
	$r[12]='';
	$s[12]='$l[\'vorlage\'] = "Post als Vorlage deklarieren";
$l[\'vorlagewahl\'] = "Vorlage: ";
$l[\'vorlagetext\'] = "Soll dieser Post als Vorlage für das Startthema nach der Registrierung dienen?";

';
	
	/*Pfad Deutsch-sie*/	
	$pfad[13]="../inc/languages/deutsch_sie/newreply.lang.php";
	$r[13]='';
	$d[13]='$l[\'vorlage\'] = "Post als Vorlage deklarieren";
$l[\'vorlagewahl\'] = "Vorlage: ";
$l[\'vorlagetext\'] = "Soll dieser Post als Vorlage für das Startthema nach der Registrierung dienen?";

';
	
	/*Pfad english*/
	$pfad[14]="../inc/languages/english/newreply.lang.php";
	$r[14]='$';
	$s[14]='$l[\'vorlage\'] = "Set post as template";
$l[\'vorlagewahl\'] = "Template: ";
$l[\'vorlagetext\'] = "Should this post serve as a template for the startup topic after registration?";

';
				
	/*Pfad Deutsch-du*/
	$pfad[15]="../inc/languages/deutsch_du/editpost.lang.php";
	$r[15]='';
	$s[15]='$l[\'vorlage\'] = "Post als Vorlage deklarieren";
$l[\'vorlagewahl\'] = "Vorlage: ";
$l[\'vorlagetext\'] = "Soll dieser Post als Vorlage für das Startthema nach der Registrierung dienen?";

';
	
	/*Pfad Deutsch-sie*/	
	$pfad[16]="../inc/languages/deutsch_sie/editpost.lang.php";
	$r[16]='';
	$s[16]='$l[\'vorlage\'] = "Post als Vorlage deklarieren";
$l[\'vorlagewahl\'] = "Vorlage: ";
$l[\'vorlagetext\'] = "Soll dieser Post als Vorlage für das Startthema nach der Registrierung dienen?";

';
	
	/*Pfad english*/
	$pfad[17]="../inc/languages/english/editpost.lang.php";
	$r[17]='';
	$s[17]='$l[\'vorlage\'] = "Set post as template";
$l[\'vorlagewahl\'] = "Template: ";
$l[\'vorlagetext\'] = "Should this post serve as a template for the startup topic after registration?";

';
				
	/*Pfad Deutsch-du*/
	$pfad[18]="../inc/languages/deutsch_du/modcp.lang.php";
	$r[18]='';
	$s[18]='$l[\'vorlagegruppe\'] = "Hauptgruppe für Vorlagen";
$l[\'vorlagegruppe_main\'] = "Standardgruppe";

';
	
	/*Pfad Deutsch-sie*/	
	$pfad[19]="../inc/languages/deutsch_sie/modcp.lang.php";
	$r[19]='';
	$s[19]='$l[\'vorlagegruppe\'] = "Hauptgruppe für Vorlagen";
$l[\'vorlagegruppe_main\'] = "Standardgruppe";

';
	
	/*Pfad english*/
	$pfad[20]="../inc/languages/english/modcp.lang.php";
	$r[20]='';
	$s[20]='$l[\'vorlagegruppe\'] = "Hauptgruppe für Vorlagen";
$l[\'vorlagegruppe_main\'] = "Standardgruppe";

';
				
	/*Pfad Deutsch-du*/
	$pfad[21]="../inc/languages/deutsch_du/member.lang.php";
	$r[21]='';
	$s[21]='$l[\'vorlagegruppe\'] = "Hauptgruppe für Vorlagen";
$l[\'vorlagegruppe_main\'] = "Standardgruppe";

';
	
	/*Pfad Deutsch-sie*/	
	$pfad[22]="../inc/languages/deutsch_sie/member.lang.php";
	$r[22]='';
	$s[22]='$l[\'vorlagegruppe\'] = "Hauptgruppe für Vorlagen";
$l[\'vorlagegruppe_main\'] = "Standardgruppe";

';
	
	/*Pfad english*/
	$pfad[23]="../inc/languages/english/member.lang.php";
	$r[23]='';
	$s[23]='$l[\'vorlagegruppe\'] = "Hauptgruppe für Vorlagen";
$l[\'vorlagegruppe_main\'] = "Standardgruppe";

';
				
	/*Pfad Deutsch-du*/
	$pfad[24]="../inc/languages/deutsch_du/admin/user_users.lang.php";
	$r[24]='';
	$s[24]='$l[\'display_vorlagegruppe\'] = "Hauptgruppe für Vorlagen";
$l[\'vorlagegruppe_main\'] = "Standardgruppe";

';
	
	/*Pfad Deutsch-sie*/	
	$pfad[25]="../inc/languages/deutsch_sie/admin/user_users.lang.php";
	$r[25]='';
	$s[25]='$l[\'display_vorlagegruppe\'] = "Hauptgruppe für Vorlagen";
$l[\'vorlagegruppe_main\'] = "Standardgruppe";

';
	
	/*Pfad english*/
	$pfad[26]="../inc/languages/english/admin/user_users.lang.php";
	$r[26]='';
	$s[26]='$l[\'display_vorlagegruppe\'] = "Vorlagegruppe wählen";
$l[\'vorlagegruppe_main\'] = "Defaultgroup";

';
	
	/*Feld für WOB-System in ACP/Users/Edit*/
	$pfad[27]="../admin/modules/user/users.php";
	$r[27]='';
	$s[27]='
	
	$plugins->run_hooks("users_wob_add");';
	
	/*Feld für WOB-System in ACP/Users/Edit*/
	$pfad[28]="../admin/modules/user/users.php";
	$r[28]='';
	$s[28]='
			"vorlagegruppe" => $mybb->input[\'vorlagegruppe\'],';
			
	/*Passwörter einfügen*/
	$pfad[29]="../showthread.php";
	$r[29]='';
	$s[29]='
			$plugins->run_hooks("showthread_runpost");';
			
	/*Passwortabfrage*/
	$pfad[30]="../inc/functions_post.php";
	$r[30]='';
	$s[30]='$postbit.=$plugins->run_hooks("postbit_endpost");
	';
				
	/*Pfad Deutsch-du*/
	$pfad[31]="../inc/languages/deutsch_du/showthread.lang.php";
	$r[31]='';
	$s[31]='$l[\'title_pwone\'] = "Passwort 1:";
$l[\'title_pwtwo\'] = "Passwort 2:";
$l[\'title_pwthree\'] = "Passwort 3:";
$l[\'title_button_ready\'] = "Fertigstellen";
$l[\'title_button_wob\'] = "WOB";
$l[\'title_button_einteilen\'] = "Einteilen";
$l[\'title_getted_wob\'] = "WOB bereits vergeben";
$l[\'title_wobs\'] = "Bisherige WOB\'s";

';
	
	/*Pfad Deutsch-sie*/	
	$pfad[32]="../inc/languages/deutsch_sie/showthread.lang.php";
	$r[32]='';
	$s[32]='$l[\'title_pwone\'] = "Passwort 1:";
$l[\'title_pwtwo\'] = "Passwort 2:";
$l[\'title_pwthree\'] = "Passwort 3:";
$l[\'title_button_ready\'] = "Fertigstellen";
$l[\'title_button_wob\'] = "WOB";
$l[\'title_button_einteilen\'] = "Einteilen";
$l[\'title_getted_wob\'] = "WOB bereits vergeben";
$l[\'title_wobs\'] = "Bisherige WOB\'s";

';
	
	/*Pfad english*/
	$pfad[33]="../inc/languages/english/showthread.lang.php";
	$r[33]='';
	$s[33]='$l[\'title_pwone\'] = "Password 1:";
$l[\'title_pwtwo\'] = "Password 2:";
$l[\'title_pwthree\'] = "Password 3:";
$l[\'title_button_ready\'] = "Ready";
$l[\'title_button_wob\'] = "WOB";
$l[\'title_button_einteilen\'] = "Graduate";
$l[\'title_wobs\'] = "aktual WOB\'s";

';
	
	/*Geschlechtsfeld bestimmen*/
	$pfad[34]="../admin/modules/config/profile_fields.php";
	$r[34]='';
	$s[34]='$plugins->run_hooks("profile_fields_edit");
	';

	$pfad[35]="../admin/modules/config/profile_fields.php";
	$r[35]='';
	$s[35]='"wob" => $db->escape_string($mybb->input[\'wob\']),
				';
				
	/*Pfad Deutsch-du*/
	$pfad[36]="../inc/languages/deutsch_du/admin/config_profile_fields.lang.php";
	$r[36]='';
	$s[36]='$l[\'display_wobgroup_no\'] = "Nein";
$l[\'display_wobgroup_yes\'] = "Ja";
$l[\'display_wobgroup\'] = "Geschlechts-Feld für WOB-System";

';
	
	/*Pfad Deutsch-sie*/
	$pfad[37]="../inc/languages/deutsch_sie/admin/config_profile_fields.lang.php";
	$r[37]='';
	$s[37]='$l[\'display_wobgroup_no\'] = "Nein";
$l[\'display_wobgroup_yes\'] = "Ja";
$l[\'display_wobgroup\'] = "Geschlechts-Feld für WOB-System";

';
	
	/*Pfad english*/
	$pfad[38]="../inc/languages/english/admin/config_profile_fields.lang.php";
	$r[38]='';
	$s[38]='$l[\'display_wobgroup_no\'] = "No";
$l[\'display_wobgroup_yes\'] = "Yes";
$l[\'display_wobgroup\'] = "Gender-Field for Woby-System";

';
				
	/*Pfad Deutsch-du*/
	$pfad[39]="../inc/languages/deutsch_du/editpost.lang.php";
	$r[39]='';
	$s[39]='$l[\'vorlage\'] = "Steckbriefvorlagen";
$l[\'vorlagewahl\'] = "Steckbrief:";
$l[\'vorlagetext\'] = "Vorlage für das Wobsystem auswählen";

';
	
	/*Pfad Deutsch-sie*/
	$pfad[40]="../inc/languages/deutsch_sie/editpost.lang.php";
	$r[40]='';
	$s[40]='$l[\'vorlage\'] = "Steckbriefvorlagen";
$l[\'vorlagewahl\'] = "Steckbrief:";
$l[\'vorlagetext\'] = "Vorlage für das Wobsystem auswählen";

';
	
	/*Pfad english*/
	$pfad[41]="../inc/languages/english/editpost.lang.php";
	$r[41]='';
	$s[41]='$l[\'vorlage\'] = "Template for Application";
$l[\'vorlagewahl\'] = "Application:";
$l[\'vorlagetext\'] = "choose Template for Wobsystem";

';
	
	$i=0;
	$max=count($pfad);
	while($i<$max)
	{
		$datei=$pfad[$i];
		$search=$s[$i];
		$replace=$r[$i];
		
		$inhalt = file_get_contents($datei);
		
		$inhalt = str_replace($search,$replace,$inhalt);
	
		file_put_contents($datei,$inhalt);
		$i++;
	}
	
	$db->delete_query("templates", "title = 'post_vorlage'");
	$db->delete_query("templates", "title = 'member_register_vorlagegruppe'");
	$db->delete_query("templates", "title = 'postbit_wobpws'");
	$db->delete_query("templates", "title = 'postbit_wob_first'");
	$db->delete_query("templates", "title = 'postbit_wob_einteilung'");
	$db->delete_query("templates", "title = 'postbit_wob_vergeben'");
	
	require_once MYBB_ROOT."/inc/adminfunctions_templates.php";
	//Template editpost bearbeiten*/
	$tplname[0]='editpost';
	$searchpattern[0]='{$attachbox}';
	$myVar[0]='{$vorlage}';
	
	//Template newreply bearbeiten*/
	
	$tplname[1]='newreply';
	$searchpattern[1]='{$attachbox}';
	$myVar[1]='{$vorlage}';
	
	//Template member_register bearbeiten*/
	$tplname[2]='member_register';
	$searchpattern[2]='{$hiddencaptcha}';
	$myVar[2]='{$vorlage}';
	
	//Template modcp_editprofile bearbeiten*/
	$tplname[3]='modcp_editprofile';
	$searchpattern[3]='{$requiredfields}';
	$myVar[3]='{$vorlage}';
	
	$i=0;
	$max=count($pfad);
	while($i<$max)
	{
		find_replace_templatesets
		(
		$tplname[$i],
		"#" . preg_quote($searchpattern[$i].$myVar[$i]) . "#i",
		$searchpattern[$i]
		);
		$i++;
	}
	
	
	unlink('../wobsystem.php');
	unlink('../inc/languages/deutsch_sie/wobsystem.lang.php');
	unlink('../inc/languages/deutsch_du/wobsystem.lang.php');
	unlink('../inc/languages/english/wobsystem.lang.php');
	
}
 
function wobsystem_install()
{
	global $db;
	
	$db->add_column("users", "wob", "tinyint(2) NOT NULL DEFAULT '0'");
	$db->add_column("users", "pwcontroll", "tinyint(1) NOT NULL DEFAULT '0'");
	$db->add_column("users", "pwone", "varchar(200) NOT NULL");
	$db->add_column("users", "pwtwo", "varchar(200) NOT NULL");
	$db->add_column("users", "pwthree", "varchar(200) NOT NULL");
	$db->add_column("users", "userarea", "int(255) NOT NULL");
	$db->add_column("users", "vorlagegruppe", "int(10) NOT NULL");
	$db->add_column("users", "wobbed", "TEXT NOT NULL");
	$db->add_column("usergroups", "wobgroup", "tinyint(1) NOT NULL DEFAULT '0'");
	$db->add_column("usergroups", "malearea", "int(255) NOT NULL DEFAULT '0'");
	$db->add_column("usergroups", "femalearea", "int(255) NOT NULL DEFAULT '0'");
	$db->add_column("forums", "wobspezial", "int(10) NOT NULL DEFAULT '0'");
	$db->add_column("posts", "vorlage", "int(255) NOT NULL DEFAULT '0'");
	$db->add_column("profilefields", "wob", "tinyint(1) NOT NULL DEFAULT '0'");
	
	$query = $db->query("
		CREATE TABLE ".TABLE_PREFIX."daily_pids (
		time INT(255),
		pwone INT(255),
		pwtwo INT(255),
		pwthree INT(255)
		) 
	");
	
	$updated_pid = array(
	"time" => 1,
	"pwone" => 0,
	"pwtwo" => 0,
	"pwthree" => 0
	);
	$db->insert_query("daily_pids", $updated_pid);
	
	$query = $db->simple_select("users", 'uid', "");
	while($user_info=$db->fetch_array($query)) pw_generate($user_info['uid'],1);
}

function wobsystem_is_installed()
{
	global $db;

	// If the table exists then it means the plugin is installed because we only drop it on uninstallation
	return $db->table_exists('daily_pids');
}

function wobsystem_uninstall()
{
	global $db, $page, $lang;
	$lang->load('wobsystem');
	//$page->output_confirm_action('index.php?module=config-plugins&action=deactivate&uninstall=1&plugin=hello', $lang->wobsystem_uninstall_message, $lang->wobsystem_uninstall);
	
	$db->drop_column("users", "wob");
	$db->drop_column("users", "pwcontroll");
	$db->drop_column("users", "pwone");
	$db->drop_column("users", "pwtwo");
	$db->drop_column("users", "pwthree");
	$db->drop_column("users", "userarea");
	$db->drop_column("users", "vorlagegruppe");
	$db->drop_column("users", "wobbed");
	$db->drop_column("usergroups", "wobgroup");
	$db->drop_column("usergroups", "malearea");
	$db->drop_column("usergroups", "femalearea");
	$db->drop_column("forums", "wobspezial");
	$db->drop_column("posts", "vorlage");
	$db->drop_column("profilefields", "wob");
	
	$query = $db->query("
		DROP TABLE ".TABLE_PREFIX."daily_pids
	");
}

function pw_generate($uid,$vorlagegruppe)
{	
	global $db,$plugins;
	$pool = "qwertzupasdfghkyxcvbnm";
    $pool .= "23456789";
    $pool .= "WERTZUPLKJHGFDSAYXCVBNM";
    srand ((double)microtime()*1000000);
    for($index = 0; $index < 8; $index++)
    {
     $pwone .= substr($pool,(rand()%(strlen ($pool))), 1);
    }
    for($index = 0; $index < 8; $index++)
    {
     $pwtwo .= substr($pool,(rand()%(strlen ($pool))), 1);
    }
    for($index = 0; $index < 8; $index++)
    {
     $pwthree .= substr($pool,(rand()%(strlen ($pool))), 1);
    }
	
	/*Update User with Passwords*/
	$update_user = array(
	"pwone" => $pwone,
	"pwtwo" => $pwtwo,
	"pwthree" => $pwthree,
	"vorlagegruppe" => $vorlagegruppe,
	);
	$db->update_query("users", $update_user, "uid='".$uid."'");
	
	$plugins->run_hooks("wob_pw_generate");
	
}

function wob_register()
{
	global $mybb, $user_info, $db, $lang, $plugins;
	
	$vorlagegruppe=$mybb->input['vorlagegruppe'];
	
	pw_generate($user_info['uid'],$vorlagegruppe);
	
	/*get Board-Informations*/
	$query = $db->simple_select("forums", 'fid', "wobspezial='3'");
	$foruminfo = $db->fetch_array($query);
	
	/*Set up posthandler.*/
	require_once MYBB_ROOT."inc/datahandlers/post.php";
	$posthandler = new PostDataHandler("insert");
	$posthandler->action = "thread";
	
	$mybb->user['uid']=$user_info['uid'];
	
	$query = $db->simple_select("posts", 'pid, message', "vorlage='".$vorlagegruppe."'");
	$steckipost = $db->fetch_array($query);
	
	$new_thread = array(
		"fid" => $foruminfo['fid'],
		"subject" => $lang->wobsystem_application.$user_info['username'],
		"prefix" => 0,
		"icon" => 0,
		"uid" => $user_info['uid'],
		"username" => $user_info['username'],
		"message" => $steckipost['message'],
		"ipaddress" => $session->packedip,
		"posthash" => md5($mybb->user['uid'].random_str()),
		"savedraft" => 0,
		"signature" => 0,
		"subscriptionmethod" => 0,
		"disablesmilies" => 0,
	);
	
	$modoptions['closethread']=0;
	$modoptions['stickthread']=0;
	
	$new_thread['modoptions'] = $modoptions;
	
	$posthandler->set_data($new_thread);
	
	$valid_thread = $posthandler->validate_thread();
	
	/*Insert new Thread*/
	$thread_info = $posthandler->insert_thread();
	$tid = $thread_info['tid'];
	
	$Server_uri = $_SERVER['REQUEST_URI'];
	$Server_uri_ordner=explode('/',$Server_uri);
	
	if($Server_uri_ordner[1]!="admin")
	{
		require_once MYBB_ROOT."inc/functions_indicators.php";
		mark_thread_read($tid, $foruminfo['fid']);
		
		$lang->redirect_newthread .= $lang->redirect_newthread_thread;
		$url = get_thread_link($tid);
		
		/*Send User to Thread*/
		redirect($url, $lang->redirect_newthread, "", $force_redirect);
	}
	
	
	$user=$user_info;
	$plugins->run_hooks("wobplugin_register_end");
}

function insert_vorlage()
{
	global $mybb, $pid, $db, $lang;
	
	if($mybb->get_input('vorlage')>0) $vorlage=$mybb->get_input('vorlage');
	else $vorlage=0;
	
	$updated_post = array(
	"vorlage" => $db->escape_string($vorlage)
	);
	$db->update_query("posts", $updated_post, "pid='{$pid}'");
}

function editpost_end_vorlage()
{
	global $templates, $vorlage, $db, $mybb, $lang, $pid;
	
	if($mybb->usergroup['cancp']==1)
	{
		$query = $db->simple_select("posts", 'pid,vorlage', "vorlage>0");
		while($row=$db->fetch_array($query))
		{
			if($row['pid']==$pid) 
			{
				$sel_vorlage[$row['vorlage']]=' checked';
				$dis_vorlage[$row['vorlage']]='';
			}
			else
			{
				$sel_vorlage[$row['vorlage']]='';
				$dis_vorlage[$row['vorlage']]=' disabled="disabled"';
			}
		}
		$vorlageinfo = $db->fetch_array($query);
		
		
		eval("\$vorlage = \"".$templates->get("post_vorlage")."\";");
	}
}

function newreply_end_vorlage()
{
	global $templates, $vorlage, $db, $mybb, $lang;
	
	if($mybb->usergroup['cancp']==1)
	{
		$query = $db->simple_select("posts", 'pid,vorlage', "vorlage>0");
		while($row=$db->fetch_array($query))
		{
			$sel_vorlage[$row['vorlage']]='';
			$dis_vorlage[$row['vorlage']]=' disabled="disabled"';
		}
		
		eval("\$vorlage = \"".$templates->get("post_vorlage")."\";");
	}
}

function member_register_end_vorlage()
{
	global $templates, $mybb, $lang, $vorlage;
	
	if($mybb->get_input('vorlagegruppe')) $vorlagegruppe=$mybb->get_input('vorlagegruppe');
	else $vorlagegruppe=1;
	
	$sel_vorlagegruppe[$vorlagegruppe]=" selected";
	
	eval("\$vorlage = \"".$templates->get("member_register_vorlagegruppe")."\";");
}

function modcp_editprofile_end_vorlage()
{
	global $templates, $mybb, $lang, $vorlage, $user;
	
	if($mybb->get_input('vorlagegruppe')) $vorlagegruppe=$mybb->get_input('vorlagegruppe');
	else if($user['vorlagegruppe']) $vorlagegruppe=$user['vorlagegruppe'];
	else $vorlagegruppe=1;
	
	$sel_vorlagegruppe[$vorlagegruppe]=" selected";
	
	eval("\$vorlage = \"".$templates->get("member_register_vorlagegruppe")."\";");
}

function insert_register_vorlage()
{
	global $user, $mybb, $db;
	
	$update_user = array(
	"vorlagegruppe" => $mybb->get_input('vorlagegruppe'),
	);
	$db->update_query("users", $update_user, "uid='".$user['uid']."'");
}

function set_daily_pids()
{
	global $fid, $db;
	
	$query = $db->simple_select("daily_pids", 'time', "");
	$pidinfo = $db->fetch_array($query);
	
	$oldtime=$pidinfo['time'];
	$oldday=date('d',$oldtime);
	
	$newtime=time();
	$newday=date('d',$newtime);
	
		$query = $db->query(
			"SELECT p.pid
			FROM ".TABLE_PREFIX."forums f
			LEFT JOIN ".TABLE_PREFIX."threads t ON ( f.fid = t.fid )
			LEFT JOIN ".TABLE_PREFIX."posts p ON ( p.tid = t.tid )
			WHERE f.wobspezial =1"
		);
		
		$counter=0;
		while($row=$db->fetch_array($query))
		{
			$pids[$counter]=$row['pid'];
			if($row['pid']) $counter++;
		}
		
	if($pidinfo['time'] && ($newday>$oldday || $newday==01) && $counter>0)
	{
		
		$error=1;
		while($error==1)
		{
			$randone=rand(0, $counter);
			if($pids[$randone]==0) $error=1;
			else $error=0;
		}
		
		
		$error=1;
		while($error==1)
		{
			$randtwo=rand(0, $counter);
			if($randtwo==$randone && $counter>1) $error=1;
			else if($pids[$randtwo]==0) $error=1;
			else $error=0;
		}
		
		$error=1;
		while($error==1)
		{
			$randthree=rand(0, $counter);
			if(($randthree==$randone || $randthree==$randtwo)  && $counter>2) $error=1;
			else if($pids[$randthree]==0) $error=1;
			else $error=0;
		}
		$pwone=$pids[$randone];
		$pwtwo=$pids[$randtwo];
		$pwthree=$pids[$randthree];
		$daily_pids_user = array(
		"time" => $newtime,
		"pwone" => $pwone,
		"pwtwo" => $pwtwo,
		"pwthree" => $pwthree,
		);
		$db->update_query("daily_pids", $daily_pids_user, "");
	}
}

function show_pws()
{
	global $db, $post, $mybb;
	
	$query = $db->simple_select("daily_pids", 'pwone, pwtwo, pwthree', "");
	$pidinfo = $db->fetch_array($query);
	
	$nquery = $db->simple_select("users", 'uid, pwone, pwtwo, pwthree', "uid={$mybb->user['uid']}");
	$newuserinfo = $db->fetch_array($nquery);
	
	$isrule=0;
	if($pidinfo['pwone']==$post['pid'] || $pidinfo['pwtwo']==$post['pid'] || $pidinfo['pwthree']==$post['pid']) $isrule=1;
	
	if($isrule==1)
	{		
		$htmltags=findhtml($post['message']);
		$oldhtml=$post['message'];
		
		$post['message']=strip_tags($post['message']);
		$u=0;
		$words=explode(' ',$post['message']);
		$counter=count($words);
		
		
	
		if($pidinfo['pwone']==$post['pid'])
		{
			$letter[0]="pwonestring";
			$$letter[0]=" (1. ".$newuserinfo['pwone'].")";
			$isrule=1;
		}
		
		if($pidinfo['pwtwo']==$post['pid'])
		{
			$letter[1]="pwtwostring";
			$$letter[1]=" (2. ".$newuserinfo['pwtwo'].")";
			$isrule=1;
		}
		
		if($pidinfo['pwthree']==$post['pid'])
		{
			$letter[2]="pwthreestring";
			$$letter[2]=" (3. ".$newuserinfo['pwthree'].")";
			$isrule=1;
		}
		
		while($u<3)
		{
			if($$letter[$u])
			{
				$random=rand(1, $counter-1);
				
				if($u==1) $pwonerand=$random;
				if($u==2) $pwtworand=$random;
				if($u==3) $pwthreerand=$random;
				
				if($counter>10)
				{
					if($letter[$u]=="pwtwostring")
					{
						$test=0;
						while($test==0)
						{
							if($pwonerand==$pwtworand) $random=rand(1, $counter-1);
							else $test=1;
							
							$pwtworand=$random;
						}
					}				
					else if($letter[$u]=="pwthreestring")
					{
						$test=0;
						while($test==0)
						{
							if($pwonerand==$pwthreerand) $random=rand(1, $counter-1);
							else if($pwthreerand==$pwtworand) $random=rand(1, $counter-1);
							else $test=1;
							
							$pwthreerand=$random;
						}
					}
				}
				
				$words[$random].=$$letter[$u];
			}
			$u++;
		}
				
		$i=0;
		$post['message']="";
		while($i<$counter)
		{
				if($i>0) $post['message'].=" ";
				
				$post['message'].=$words[$i];
				$i++;
		}
		
		$post['message']=replacehtml($post['message'],$htmltags,$oldhtml);
	}
}

function replacehtml($html,$htmltag,$oldhtml)
{
	$count=strlen($html);
	$oldhtml=strip_tags($oldhtml);
	
	$i=0;
	$u=0;
	$x=0;
	
	$html=trim($html);
	$oldhtml=trim($oldhtml);
	
	while($i<$count)
	{
		if($html[$i]!=$oldhtml[$u])
		{
			if($html[$i]=="(")
			{
				$n=0;
				while($n<13)
				{
					$pws[$x]['text'].=$html[$i];
					$n++;
					$i++;
				}
				
				$pws[$x]['pos']=$u;
				$x++;
			}
		}
		else $u++;
		
		$i++;
	}
	
	
	$i=0;
	$newhtml="";
	
	
	while($i<count($htmltag))
	{
		$x=0;
		while($x<3)
		{
			if($htmltag[$i]['pos']==$pws[$x]['pos'])
			{
				if($htmltag[$i]['text'][0]=="<" && $htmltag[$i]['text'][1]!="/") $htmltag[$i]['text']=$pws[$x]['text']." ".$htmltag[$i]['text'];
				else $htmltag[$i]['text']=$htmltag[$i]['text'].$pws[$x]['text']." ";
				
				$pws[$x]['text']="";
			}
			
			$x++;
		}
		
		$newposttag[$htmltag[$i]['pos']]=$htmltag[$i]['text'];
		
		$i++;
	}
	
	$i=0;
	while($i<3)
	{
		if(strlen($pws[$i]['text'])>0) $newposttag[$pws[$i]['pos']]=$pws[$i]['text']." ";
		else $newposttag[$pws[$i]['pos']]=$pws[$i]['text'];
		$i++;
	}
	
	
	$i=0;
	$count=strlen($oldhtml);
	while($i<$count+1)
	{
		$newhtml.=$newposttag[$i].$oldhtml[$i];
		$i++;
	}
	return $newhtml;
}

function findhtml($html)
{
	$without=strip_tags($html);
	$count=strlen($html);
	
	$html=trim($html);
	$without=trim($without);
	
	$i=0;
	$u=0;
	$x=0;
	$kontrolle=0;
	while($i<$count+1)
	{
		
		if($html[$i]!=$without[$u] && $html[$i]=="<")
		{
			if($u>0) $htmltag[$x]['pos']=$u;
			else $htmltag[$x]['pos']=$u;
			$htmltag[$x]['text'].=$html[$i];
			$kontrolle++;
		}
		else if($kontrolle>1)
		{
			if($html[$i]==">") 
			{
				$htmltag[$x]['text'].=$html[$i];
				$kontrolle=0;
				$x++;
			}
			else
			{
				$htmltag[$x]['text'].=$html[$i];
				$kontrolle++;
			}
		}
		else if($html[$i]!=$without[$u] && $kontrolle>0)
		{
			$htmltag[$x]['text'].=$html[$i];
			$kontrolle++;
		}
		else
		{
			$kontrolle=0;
			$u++;
		}
		
		$i++;
	}
	
	
	return $htmltag;
}

function groups_wob_include()
{
	global $mybb, $form_container, $lang, $form;
	
	$display_wobgroup_options[0] = htmlspecialchars_uni($lang->display_wobgroup_no);
	$display_wobgroup_options[1] = htmlspecialchars_uni($lang->display_wobgroup_yes);
	$form_container->output_row($lang->display_wobgroup."", "", $form->generate_select_box('wobgroup', $display_wobgroup_options, $mybb->input['wobgroup'], array('id' => 'wobgroup')), 'wobgroup');
}

function profile_fields_edit_wob()
{
	global $mybb, $db, $form_container, $lang, $form, $profile_field;
	
	$query = $db->simple_select("profilefields", 'fid', "wob=1");
	$fieldinfo = $db->fetch_array($query);
	
	if(!$fieldinfo['fid'] || $fieldinfo['fid']==$profile_field['fid'])
	{
		$display_wobgroup_options[0] = htmlspecialchars_uni($lang->display_wobgroup_no);
		$display_wobgroup_options[1] = htmlspecialchars_uni($lang->display_wobgroup_yes);
		$form_container->output_row($lang->display_wobgroup."", "", $form->generate_select_box('wob', $display_wobgroup_options, $mybb->input['wob'], array('id' => 'wob')), 'wob');
	}
}

function management_wob_include()
{
	global $mybb, $db, $fid, $forum_data, $form_container, $lang, $form;
	
	$query = $db->simple_select("usergroups", 'gid, malearea, femalearea', "malearea='{$fid}' OR femalearea='{$fid}'");
	$usergroupinfo = $db->fetch_array($query);
	
	if($usergroupinfo['malearea']==$fid) $wobgroup=$lang->display_wobgroup_male.$usergroupinfo['gid'];
	else if($usergroupinfo['femalearea']==$fid) $wobgroup=$lang->display_wobgroup_female.$usergroupinfo['gid'];
	else $wobgroup=$forum_data['wobspezial'];
	
	if(!$fid) $fid=0;
	$query = $db->simple_select("forums", 'fid, wobspezial', "fid<>{$fid}");
	while($row=$db->fetch_array($query))
	{
		$takengroups[$row['wobspezial']]=$row['fid'];
	}
	
	$display_wobgroups["0"]=htmlspecialchars_uni($lang->display_wobgroup_nothing);
	if(!$takengroups[1]) $display_wobgroups["1"]=htmlspecialchars_uni($lang->display_wobgroup_rouls);
	if(!$takengroups[2]) $display_wobgroups["2"]=htmlspecialchars_uni($lang->display_wobgroup_ready);
	if(!$takengroups[3]) $display_wobgroups["3"]=htmlspecialchars_uni($lang->display_wobgroup_unready);
	
	$query=$db->simple_select("usergroups", 'gid, title, malearea, femalearea', "wobgroup=1");
	while($row=$db->fetch_array($query))
	{
		if($row['malearea']==0) $display_wobgroups[$lang->display_wobgroup_m.$row['gid']] = htmlspecialchars_uni($row['title']."-".$lang->display_wobgroup_male);
		else if($row['malearea']==$fid) 
		{
			$display_wobgroups[$lang->display_wobgroup_m.$row['gid']] = htmlspecialchars_uni($row['title']."-".$lang->display_wobgroup_male);
			$wobgroup=$lang->display_wobgroup_m.$row['gid'];
		}
		if($row['femalearea']==0) $display_wobgroups[$lang->display_wobgroup_f.$row['gid']] = htmlspecialchars_uni($row['title']."-".$lang->display_wobgroup_female);
		else if($row['femalearea']==$fid) 
		{
			$display_wobgroups[$lang->display_wobgroup_f.$row['gid']] = htmlspecialchars_uni($row['title']."-".$lang->display_wobgroup_female);
			$wobgroup=$lang->display_wobgroup_f.$row['gid'];
		}
	}
	
	$form_container->output_row($lang->display_wobgroup."", "", $form->generate_select_box('wobgroup', $display_wobgroups, $wobgroup, array('id' => 'wobgroup')), 'wobgroup');
}

function management_wob_edit()
{
	global $mybb, $wobqueryjoin, $db, $fid;
	$wobgroup=$mybb->input['wobgroup'];
	
		$updated_group = array(
			"malearea" => 0,
			);
		$db->update_query("usergroups", $updated_group, "malearea='{$fid}'");
		
		$updated_group = array(
			"femalearea" => 0,
			);
		$db->update_query("usergroups", $updated_group, "femalearea='{$fid}'");
		
		if($wobgroup[0]=="m" || $wobgroup[0]=="w" || $wobgroup[0]=="f")
		{
			$grouptype=explode("_",$mybb->input['wobgroup']);
			
			if($grouptype[0]=="m")
			{	
				$updated_group = array(
				"malearea" => $db->escape_string($fid),
				);
				$wobqueryjoin=0;
			}
			else if($grouptype[0]=="w" || $grouptype[0]=="f")
			{	
				$updated_group = array(
				"femalearea" => $db->escape_string($fid),
				);
				$wobqueryjoin=0;
			}
			$db->update_query("usergroups", $updated_group, "gid='{$grouptype[1]}'");
		}
		else
		{
			$wobqueryjoin=$mybb->input['wobgroup'];
		}
}

function management_wob_add()
{
	global $mybb, $wobqueryjoin, $db, $fid;
			$wobgroup=$mybb->input['wobgroup'];
		
			if($wobgroup[0]=="m" || $wobgroup[0]=="w" || $wobgroup[0]=="f")
			{
				$db->update_query("forums", array("wobspezial" => $mybb->input['wobgroup']), "fid='$fid'");
				$grouptype=explode("_",$mybb->input['wobgroup']);
				
				if($grouptype[0]=="m")
				{	
					$updated_group = array(
					"malearea" => $db->escape_string($fid),
					);
					$wobqueryjoin=0;
				}
				else if($grouptype[0]=="w" || $grouptype[0]=="f")
				{	
					$updated_group = array(
					"femalearea" => $db->escape_string($fid),
					);
					$wobqueryjoin=0;
				}
				$db->update_query("usergroups", $updated_group, "gid='{$grouptype[1]}'");
			}
			else
			{
				$db->update_query("forums", array("wobspezial" => $mybb->input['wobgroup']), "fid='$fid'");
			}
}

function users_wob_add()
{
	global $mybb, $form_container, $lang, $form, $cache, $plugins_cache;
	
	if($mybb->get_input('vorlagegruppe')) $vorlagegruppe=$mybb->get_input('vorlagegruppe');
	else if($user['vorlagegruppe']) $vorlagegruppe=$user['vorlagegruppe'];
	else $vorlagegruppe=1;
	
	$display_vorlagegruppe_options[1] = htmlspecialchars_uni($lang->vorlagegruppe_main);
	
	$plugins_cache = $cache->read("plugins");
	if (isset($plugins_cache['active']['hp_wob']))
	{
		$display_vorlagegruppe_options[2] = htmlspecialchars_uni($lang->vorlagegruppe_student);
	}
	
	$form_container->output_row($lang->display_vorlagegruppe."", "", $form->generate_select_box('vorlagegruppe', $display_vorlagegruppe_options, $vorlagegruppe, array('id' => 'vorlagegruppe')), 'vorlagegruppe');
}

function postbit_endpost_pws()
{
	global $mybb, $post, $postbit, $templates, $lang, $db;
	$tid=$mybb->input['tid'];
	if($tid>0)
	{
		$query = $db->simple_select("threads", "tid, fid", "tid={$tid}");
		$threadinfo = $db->fetch_array($query);
	}
	
	if($post && $threadinfo['fid'])
	{
		$query = $db->simple_select("forums", "fid, wobspezial", "fid={$post['fid']}");
		$foruminfo = $db->fetch_array($query);
		
		
		
		if($mybb->user['uid'] == $post['uid'] && $foruminfo['wobspezial']==3 && empty($mybb->input['previewpost']))
		{
			$query = $db->simple_select("threads", "tid, firstpost", "tid={$post['tid']}");
			$threadinfo = $db->fetch_array($query);
		
			if($threadinfo['firstpost']==$post['pid'])
			{
				$query = $db->simple_select("users", "uid, pwone, pwtwo, pwthree, pwcontroll", "uid = '{$mybb->user['uid']}'");
				$userinfo = $db->fetch_array($query);
				if($userinfo['uid'] == $post['uid'])
				{
					$pwcontroll = $userinfo['pwcontroll'];
					$pwinfos='<input type="hidden" name="pwoneinfo" id="pwoneinfo" value="'.$userinfo['pwone'].'" />
					<input type="hidden" name="pwtwoinfo" id="pwtwoinfo" value="'.$userinfo['pwtwo'].'" />
					<input type="hidden" name="pwthreeinfo" id="pwthreeinfo" value="'.$userinfo['pwthree'].'" />';
				}
				else
				{
					$pwcontroll=0;
					$pwinfos='';
				}
				
				eval("\$npostbit = \"".$templates->get("postbit_wobpws")."\";");
				return $npostbit;
			}
		}
	}
}

function postbit_endpost_wob()
{
	global $mybb, $post, $postbit, $templates, $lang, $db;
	if($post['fid'])
	{	
		$query = $db->simple_select("forums", "fid, wobspezial", "fid={$post['fid']}");
		$foruminfo = $db->fetch_array($query);
		
		
		
		if($mybb->usergroup['cancp']==1 && $foruminfo['wobspezial']==2 && )
		{
			$query = $db->simple_select("threads", "tid, firstpost", "tid={$post['tid']}");
			$threadinfo = $db->fetch_array($query);
		
			if($threadinfo['firstpost']==$post['pid']empty($mybb->input['previewpost']))
			{
				$query = $db->simple_select("users", "uid, username, wob, wobbed", "uid={$post['uid']}");
				$userinfo = $db->fetch_array($query);
				
				$wobber=explode(',',$userinfo['wobbed']);
				$counter=count($wobber);
				$i=1;
				$error=0;
				
				while($i<$counter)
				{
					if($wobber[$i]==$mybb->user['uid']) $error=1;
					$i++;
				}
				
				
				
				$maxwobs=2;
				$maxwobs=$maxwobs-1;
				
				if($userinfo['wob']<$maxwobs && $error==0)
				{
					eval("\$npostbit = \"".$templates->get("postbit_wob_first")."\";");
				}
				else if($error==1)
				{
					eval("\$npostbit = \"".$templates->get("postbit_wob_vergeben")."\";");
				}
				else 
				{
					$groupchoice_options='';
					$query = $db->simple_select("usergroups", "gid, title", "wobgroup=1");
					while($groups=$db->fetch_array($query))
					{
						$groupchoice_options.='
							<option value="'.$groups['gid'].'">'.$groups['title'].'</option>';
					}
					
					eval("\$npostbit = \"".$templates->get("postbit_wob_einteilung")."\";");
				}
				return $npostbit;
			}
		}
	}
}

function admin_user_users_edit_commit_wob()
{
	global $user, $mybb, $db, $plugins;
	
	$uid=$user['uid'];
	
	if($user['uid']>0) $userinfo['uid']=$user['uid'];
	else if($user>0) $userinfo['uid']=$user;
	
	$vorlagegruppe=$mybb->input['vorlagegruppe'];
	
	$db->query("UPDATE ".TABLE_PREFIX."users SET vorlagegruppe={$vorlagegruppe} WHERE uid={$uid}");
	
	
	$plugins->run_hooks("wobplugin_edit_end");
}
?>